---
title: RTCError.receivedAlert
slug: Web/API/RTCError/receivedAlert
tags:
  - API
  - DTLS
  - Error
  - Networking
  - Property
  - RTCError
  - Read-only
  - Reference
  - WebRTC
  - WebRTC API
  - WebRTC Device API
  - receivedAlert
---
<p>{{APIRef("WebRTC")}}</p>

<p>The {{domxref("RTCError")}} read-only property <code><strong>receivedAlert</strong></code> specifies the fatal {{Glossary("DTLS")}} error which resulted in an alert being received from the remote peer.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">let <em>receivedAlert</em> = <em>rtcError</em>.receivedAlert;</pre>

<h3 id="Value">Value</h3>

<p>An unsigned long integer value specifying the fatal {{Glossary("DTLS")}} error which resulted in an alert being received from the remote peer.</p>

<div class="notecard note">
<p>This property is <code>null</code> if the <code>RTCError</code> doesn't represent a DTLS error (with {{domxref("RTCError.errorDetail", "errorDetail")}} set to <code>dtls-failure</code>).</p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('WebRTC 1.0', '#dom-rtcerror-receivedalert', 'RTCError.receivedAlert')}}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCError.receivedAlert")}}</p>
